package cmd

import (
	"context"
	"os"

	"github.com/spf13/cobra"
)

var (
	root *cobra.Command
)

func Init(ctx context.Context) {
	root = rootCmd()
}

func Execute(ctx context.Context) {
	if err := root.ExecuteContext(ctx); err != nil {
		os.Exit(1)
	}
}
